{% for domain in domains %}
{{ domain.name }} {
  reverse_proxy {{ domain.backend }} {
    transport http {
      {% if domain.tls_insecure|default(false) %}tls_insecure_skip_verify{% endif %}
    }
  }

  log {
    output file /var/log/caddy/{{ domain.name }}.log
    roll_size {{ roll_size | default('100MiB') }}
    roll_keep {{ roll_keep | default(10) }}
    roll_keep_for {{ roll_keep_for | default('720h') }}
  }
}
{% endfor %}

#TODO: logging per domain
